Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.javax.xml.xquery
Interface XQDynamicContext

All Known Subinterfaces:
  XQExpression, XQPreparedExpression

All Known Implementing Classes:
  SaxonXQDynamicContext, SaxonXQExpression, SaxonXQPreparedExpression

    public interface XQDynamicContext

XQJ interfaces reconstructed from version 0.5 documentation

Method Summary
`void` | `bindAtomicValue(QName varname, String value, XQItemType type)`
`void` | `bindBoolean(QName varname, boolean value, XQItemType type)`
`void` | `bindByte(QName varName, byte value, XQItemType type)`
`void` | `bindContextItem(XQItem contextitem)`
`void` | `bindDocument(QName varname, InputSource source)`
`void` | `bindDouble(QName varName, double value, XQItemType type)`
`void` | `bindFloat(QName varName, float value, XQItemType type)`
`void` | `bindInt(QName varName, int value, XQItemType type)`
`void` | `bindItem(QName varName, XQItem value)`
`void` | `bindLong(QName varName, long value, XQItemType type)`
`void` | `bindNode(QName varName, Node value, XQItemType type)`
`void` | `bindObject(QName varName, Object value, XQItemType type)`
`void` | `bindSequence(QName varName, XQSequence value)`
`void` | `bindShort(QName varName, short value, XQItemType type)`
`TimeZone` | `getImplicitTimeZone()`
`void` | `setImplicitTimeZone(TimeZone implicitTimeZone)`

Method Detail

### bindAtomicValue

    void bindAtomicValue(QName varname,
                         String value,
                         XQItemType type)
                         throws XQException

  Throws:
    `XQException`

### bindBoolean

    void bindBoolean(QName varname,
                     boolean value,
                     XQItemType type)
                     throws XQException

  Throws:
    `XQException`

### bindByte

    void bindByte(QName varName,
                  byte value,
                  XQItemType type)
                  throws XQException

  Throws:
    `XQException`

### bindContextItem

    void bindContextItem(XQItem contextitem)
                         throws XQException

  Throws:
    `XQException`

### bindDocument

    void bindDocument(QName varname,
                      InputSource source)
                      throws XQException

  Throws:
    `XQException`

### bindDouble

    void bindDouble(QName varName,
                    double value,
                    XQItemType type)
                    throws XQException

  Throws:
    `XQException`

### bindFloat

    void bindFloat(QName varName,
                   float value,
                   XQItemType type)
                   throws XQException

  Throws:
    `XQException`

### bindInt

    void bindInt(QName varName,
                 int value,
                 XQItemType type)
                 throws XQException

  Throws:
    `XQException`

### bindItem

    void bindItem(QName varName,
                  XQItem value)
                  throws XQException

  Throws:
    `XQException`

### bindLong

    void bindLong(QName varName,
                  long value,
                  XQItemType type)
                  throws XQException

  Throws:
    `XQException`

### bindNode

    void bindNode(QName varName,
                  Node value,
                  XQItemType type)
                  throws XQException

  Throws:
    `XQException`

### bindObject

    void bindObject(QName varName,
                    Object value,
                    XQItemType type)
                    throws XQException

  Throws:
    `XQException`

### bindSequence

    void bindSequence(QName varName,
                      XQSequence value)
                      throws XQException

  Throws:
    `XQException`

### bindShort

    void bindShort(QName varName,
                   short value,
                   XQItemType type)
                   throws XQException

  Throws:
    `XQException`

### getImplicitTimeZone

    TimeZone getImplicitTimeZone()
                                 throws XQException

  Throws:
    `XQException`

### setImplicitTimeZone

    void setImplicitTimeZone(TimeZone implicitTimeZone)
                             throws XQException

  Throws:
    `XQException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.